For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search products

Searches for products based on criteria set in the request body.

If productGroupUid is set, productGroupScopes is omitted.

post
/tenants/{tenantUid}/products/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

ProductSearch model

exactMatchbooleanOptional
productGroupUidsstring[]Optional

Filter on product group UIDs

querystringOptional
productNamestringOptional

Filter on product name. Case-insensitive partial match unless exactMatch is true.

gtinstringOptional

Filter on GTIN barcode. Exact match.

supplierUidstringOptionalPattern: ^[A-Za-z0-9-_]+
propertyUidsstring[]Optional

Filter on property UIDs a product must be linked to

propertyOptionUidsstring[]Optional

Filter on property option UIDs a product must be linked to

productUidsstring[]Optional

A list of productUids to search for

hideVariantsbooleanOptional

Do not search in variant products.

includeDiscontinuedbooleanOptional
hideNotAllowPurchasebooleanOptional

when true, only show products with allowPurchase = true

brandUidsstring[]Optional
productSkusstring[]Optional
hasSoaAmountsbooleanOptional

optionally filter on products that have or do not have SOA amounts

Responses
200

Example response

application/json
post/tenants/{tenantUid}/products/search
POST /v2/tenants/{tenantUid}/products/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 422

{
  "exactMatch": true,
  "productGroupUids": [
    "text"
  ],
  "productGroupScopes": [
    "SALE"
  ],
  "query": "text",
  "productName": "text",
  "gtin": "text",
  "supplierUid": "text",
  "propertyUids": [
    "text"
  ],
  "propertyOptionUids": [
    "text"
  ],
  "productUids": [
    "text"
  ],
  "hideVariants": true,
  "visibility": [
    "ALWAYS_VISIBLE"
  ],
  "includeDiscontinued": true,
  "productTypes": [
    "STOCK"
  ],
  "hideNotAllowPurchase": true,
  "brandUids": [
    "text"
  ],
  "productSkus": [
    "text"
  ],
  "hasSoaAmounts": true
}
200

Example response

{
  "items": [
    {
      "allowAddon": true,
      "allowCredit": true,
      "allowNegativePrice": true,
      "allowPurchase": true,
      "allowQuantity": true,
      "allowSale": "YES",
      "allowSaleDate": "2026-01-01T00:00:00.000Z",
      "allowDelivery": "YES",
      "allowDeliveryDate": "2026-01-01T00:00:00.000Z",
      "allowOrderSpecificCost": true,
      "allowOrderSpecificName": true,
      "allowDiscount": true,
      "availableForWeb": true,
      "brandUid": "text",
      "brandName": "text",
      "calculationFactor": 1,
      "categoryUids": [
        "text"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAgeRestriction": 1,
      "description": "text",
      "discontinuedFrom": "2026-01-01T00:00:00.000Z",
      "externalId": "text",
      "externalInfo": "text",
      "externalUrl": "text",
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ],
      "height": 1,
      "internalInfo": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "length": 1,
      "name": "text",
      "optionProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "priceOverride": true,
      "productGroupUid": "text",
      "productGroupPath": [
        {
          "name": "text",
          "parentUid": "text",
          "productGroupUid": "text"
        }
      ],
      "productUid": "text",
      "productType": "STOCK",
      "recommendedRetailPrice": 1,
      "requiredVariantPropertyUids": [
        "text"
      ],
      "serialNoRequired": "NO",
      "sellOnlyAsAddon": true,
      "shortDescription": "text",
      "sku": "text",
      "manufacturerSku": "text",
      "suppliers": [
        {
          "name": "text",
          "supplierUid": "text",
          "supplierProductUid": "text",
          "purchasePrice": 1,
          "currency": "text",
          "supplierSku": "text"
        }
      ],
      "textProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "unitLabel": "text",
      "variantProductUids": [
        "text"
      ],
      "variantParentProductUid": "text",
      "vatCodeUid": "text",
      "usesVatMarginScheme": true,
      "weight": 1,
      "width": 1,
      "links": [
        {
          "productLinkUid": "text",
          "linkType": "INSURANCE",
          "productUid": "text"
        }
      ],
      "parents": [
        {
          "productLinkUid": "text",
          "linkType": "INSURANCE",
          "productUid": "text"
        }
      ],
      "requirements": {
        "requireCustomer": true,
        "requireCustomerMobile": true,
        "requireCustomerEmail": true,
        "requireCustomerDeliveryAddress": true,
        "orderItemReference": "text"
      },
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "imageCount": 1,
      "relevance": 1,
      "visibility": "ALWAYS_VISIBLE",
      "commission": 1,
      "productWarrantyUid": "text",
      "excludeFromStatistics": true,
      "purchasePrice": 1,
      "numberOfPieces": 1,
      "limitToStoreUids": [
        "text"
      ],
      "tradeUnit": 1
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?